# GRUB anpassen, entfernt splash screen, setzt console für Ausgabe-Darstellung

class ubuntu_server::grub{

    file_line{'grub_config_1':
        path => "/etc/default/grub",
        line => "GRUB_CMDLINE_LINUX_DEFAULT=quiet",
        match => "^GRUB_CMDLINE_LINUX_DEFAULT",
    } ~> Exec['update-grub']

    file_line{'grub_config_2':
        path => "/etc/default/grub",
        line => "GRUB_TERMINAL=console",
        match => "^.*GRUB_TERMINAL",
    } ~> Exec['update-grub']

    exec{"update-grub":
        path => $path,
        command => "update-grub",
        refreshonly => true,
    }
}
