class ubuntu_server::ntp($gwdg_ntp_servers = ["ntps1.gwdg.de","ntps2.gwdg.de","ntps3.gwdg.de"]) {
    
    package{"ntp":
        ensure => present,
    }

    file{"/etc/ntp.conf": 
    	ensure   => present,
    	content  => template("ubuntu_server/etc/ntp.conf"),
    	mode     => 750,
    	owner    => "root",
    	group    => "root",
    	require  => Package["ntp"]
    }~> Service['ntp']

    service{'ntp':
        ensure => running,
	    require  => Package["ntp"]
    }
}
